package com.ruoyi.ie.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 科目对象 subject
 *
 * @author mingxue
 * @date 2021-06-06
 */
public class Subject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long subjectId;

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subjectName;

    private String pinyin;
    private Integer sort;
    private String location;
    private String examType;


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Subject setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
        return this;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setSubjectName(String subjectName)
    {
        this.subjectName = subjectName;
    }

    public String getSubjectName()
    {
        return subjectName;
    }
    public void setPinyin(String pinyin)
    {
        this.pinyin = pinyin;
    }

    public String getPinyin()
    {
        return pinyin;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("subjectId", getSubjectId())
            .append("subjectName", getSubjectName())
            .append("pinyin", getPinyin())
            .toString();
    }
}
